ubuntu/+source/aptitude:ubuntu/oneiric

Last commit made on 2011-08-08
Get this branch:
git clone -b ubuntu/oneiric https://git.launchpad.net/ubuntu/+source/aptitude
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/oneiric
Repository:
lp:ubuntu/+source/aptitude

Recent commits

28ed442... by Michael Vogt on 2011-08-08

Import patches-unapplied version 0.6.4-1ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 2a52f6abc4ce69b97dadcc4788230c82438bcd7f

New changelog entries:
  * rebuild against the latest apt

2a52f6a... by Michael Vogt on 2011-06-22

Import patches-unapplied version 0.6.4-1ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 778f0b495acf7aa1cb0fe8050d8318f7b2a1502e

New changelog entries:
  * Merge from debian unstable. Remaining changes:
    - debian/05aptitude: never autoremove kernels
    - drop aptitude-doc to Suggests
    - 03_branding.dpatch: ubuntu branding
    - 04_changelog.dpatch: take changelogs from changelogs.ubuntu.com
    - 09_ubuntu_fortify_source.dpatch: Suppress a number of warnings (turned
      into errors by -Werror) triggered by Ubuntu's default of
      -D_FORTIFY_SOURCE=2.
    - 11_ubuntu_uses_sudo.dpatch: fix status line of 'Become root' menu entry
      to not refer to su.
    - 12_point_manpage_to_doc_package.dpatch: point Finnish manpage to the
      correct place for further info
    - 14_html2text_preferred.dpatch: switch back to html2text in favor of
      elinks, since html2text is in main and elinks isn't.
  * dropped 01_intltool_update.dpatch
  * updated 15_ftbfs_new_apt

778f0b4... by Daniel Burrows on 2011-05-16

Import patches-unapplied version 0.6.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0e4f9b63f291e76c9306274c047a64e6ff9c675d

New changelog entries:
  * New upstream release.
    - Fixed build errors with gcc 4.6 (Closes: #624948)
    - Added a source grouping policy, thanks to Thadeu Lima de Sourza
      Cascardo for the patch. (Closes: #497206)
    - Fixed bug in how the "automatically installed" flag was set when the
      user asked to upgrade a package. (Closes: #622719)
    - Don't crash when apt-xapian-index isn't installed. (Closes: #588089)
  * Updated the project URL and added the git url to debian/copyright.
    (Closes: #626209)
  * Deleted all Debian patches; they've been included upstream.

0e4f9b6... by Daniel Burrows on 2011-04-02

Import patches-unapplied version 0.6.3-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5d6bc0b550b30cb1f97ddff2ee1d4038753ef2be

New changelog entries:
  * Incorporate NMU patches.
  * 0009-fix-symlink-attack: Fix a potential symlink attack that could
    occur if a user with no home directory edited and saved the package
    hierarchy definitions. (Closes: #612034)

5d6bc0b... by Tim Retout on 2010-10-12

Import patches-unapplied version 0.6.3-3.2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3e7627200a1f86cd8d3f32530ebb3db62b375f24

New changelog entries:
  * Non-maintainer upload.
  * 0007-preferences-dir.patch: Patch to support /etc/apt/preferences.d/
    directory. (Closes: #557580)
  * debian/rules: Fix clean rule. Patch by St├ęphane Glondu.
    (Closes: #594505)

3e76272... by Julien Cristau on 2010-08-26

Import patches-unapplied version 0.6.3-3.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f56e2fa4929831d3e984c2ba3903d86db4138cbc

New changelog entries:
  * Non-maintainer upload to fix FTBFS (closes: 594199).
  * Add patch by Michael Vogt to use sigc::mem_fun0 instead of sigc::mem_fun,
    fixing an error with apt 0.8.
  * Comment out our operator<< for pkgCache::DepIterator, libapt-pkg has one
    now and this caused conflicts. Build-Depend on new libapt-pkg-dev
    accordingly.
  * Don't build with -Werror to avoid more FTBFS.

f56e2fa... by Daniel Burrows on 2010-07-10

Import patches-unapplied version 0.6.3-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 03210f4881d2f397d47e08ece3a7299b18fc5b06

New changelog entries:
  * Apply patch from Nobuhiro Iwamatsu to fix compilation on sh, which
    has the same problem as s390. (Closes: #586861)
  * Apply patch from Michael Vogt to update Vcs links in debian/control.
  * Cherry-pick an Ubuntu patch that was merged upstream to fix the
    progress code on large terminals. (Closes: #586470)

03210f4... by Daniel Burrows on 2010-06-20

Import patches-unapplied version 0.6.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f6107336e22067baef17f1941c4e48315bd0650f

New changelog entries:
  * Cherry-pick an upstream patch that fixes the Makefiles so that files
    named using $(wildcard) get installed. (Closes: #586508, #586511)

f610733... by Daniel Burrows on 2010-06-19

Import patches-unapplied version 0.6.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3840e712c66d9f5f90a26597eebc225cc11b86b3

New changelog entries:
  * New upstream release.
    - aptitude no longer requires log4cxx; dropped that build dependency.
      I hope this will solve some of the random crashes, particularly
      on exit, that have been reported, but since they're unreproducible
      it's hard to know.
    - aptitude should build correctly against either the current ept
      release or the upcoming release (in experimental).
      (Closes: #581009)
  * Applied upstream patches to make the tests build when GTK+ is
    disabled.
  * Weakened the build dependency on libboost-dev, since this upstream
    release no longer requires 1.42.
  * aptitude now requries gtest and google-mock for its test suite;
    added build dependencies.
  * Add the compile flag -fno-gcse on s390; current g++ miscompiles some
    of aptitude's parse code without this. (Closes: #580085)

3840e71... by Daniel Burrows on 2010-04-23

Import patches-unapplied version 0.6.2.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d11281994a74cfd4d6eeee11bafdbfc5a87baf37

New changelog entries:
  * Tighten the dependency on libboost-dev to reflect the fact that
    aptitude needs at least 1.42.
    This caused actual build failures, so I'm surprised I didn't get bugs
    about it. I don't know if this will be a permanent state of affairs;
    a configure test could take care of the one thing that's a serious
    problem (a published API reversed the order of its arguments (!)).
  * New upstream release.
    - Fixes some backwards compatibility breakages in 0.6.2-2.
  * Weaken the Conflict against ia32-apt-get to (<< 22), on advice from
    Goswin von Bredrelow. Apparently some people still use this package,
    and the "feature" that broke aptitude is not present in recent
    versions.
  * Backport upstream patch to fix crashes in the resolver. (Closes: #578344)
  * Moved to source version 3.0 (quilt).
  * New upstream release.
    - Includes the patch for #567242 to not crash when the user sets
      a rejection by package name and version at the command-line,
      previously backported.
    - Includes the patch for #566205 to make sure that download progress
      bars are deleted when the download is finished.
    - Don't crash in "aptitude changelog" when the package given on
      the command-line doesn't have a valid version (Closes: #567318).
      Thanks to Dmitry Semyonov for the patch.